//-----------------------------------------------------------------------------
// Title      : bsp_ub031_mk3_servo
//-----------------------------------------------------------------------------
// Funktion   : Servo-Funktionen
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 24.11.2012
// Version    : 1.1
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <UB_MK3_2560/MK3_2560_SERVO.h>
#include <UB_MK3_2560/MK3_2560_ADC.h>

//-----------------------------------------------------------------------------
// Hinweis : 
// - Eine Leitung von Poti-1 nach Port-F0 muss eingebaut sein
// - Eine Leitung von Poti-2 nach Port-F1 muss eingebaut sein
// - Eine Leitung von Poti-3 nach Port-F2 muss eingebaut sein
// - Servo-A muss an L0 angeschlossen sein
// - Servo-B muss an L1 angeschlossen sein
// - Servo-C muss an L2 angeschlossen sein
//
// - das Programm steuert mit 3 Potis die Position von 3 Servos
//-----------------------------------------------------------------------------
int main (void)
{
	unsigned int poti_wert=0;
	unsigned int pause=0;
	
	MK3_INIT_ADC();			// init vom ADC

	MK3_INIT_SERVO();		// init vom SERVO
	

	
	while (true)
	{

		pause++;
		if(pause>1000) {
			// kleine Pause
			pause=0;

			// Poti1 einlesen und ServoA bewegen
			poti_wert=MK3_ADC_READ_CH(ADC0);
			MK3_SERVO_SET(SERVO_1,poti_wert);

	
			// Poti2 einlesen und ServoB bewegen
			poti_wert=MK3_ADC_READ_CH(ADC1);
			MK3_SERVO_SET(SERVO_2,poti_wert);

			// Poti3 einlesen und ServoC bewegen
			poti_wert=MK3_ADC_READ_CH(ADC2);
			MK3_SERVO_SET(SERVO_3,poti_wert);

		}
		
	}
	return 0;
}
//-----------------------------------------------------------------------------






